<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Form; use Closure; use Illuminate\Contracts\Support\Renderable; use Illuminate\Database\Eloquent\Model; use Illuminate\Support\Collection; use Illuminate\Support\Facades\Input; use Illuminate\Validation\Validator; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Exception\BizException; use ModStart\Core\Exception\ResultException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Type\SortDirection; use ModStart\Core\Util\CRUDUtil; use ModStart\Core\Util\IdUtil; use ModStart\Field\AbstractField; use ModStart\Field\AutoRenderedFieldValue; use ModStart\Field\Display; use ModStart\Field\Select; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Concern\HasCascadeFields; use ModStart\Form\Type\FormEngine; use ModStart\Form\Type\FormMode; use ModStart\Grid\Concerns\HasSort; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; use stdClass; class Form implements Renderable { use HasFields, HasBuilder, HasFluentAttribute, HasSort, HasCascadeFields, HasScopeFilter, HasRepositoryFilter; public $id; private $repository; private $view = 'modstart::core.form.index'; protected $fluentAttributes = array('engine', 'builder', 'mode', 'title', 'showSubmit', 'showReset', 'itemId', 'item', 'hookSubmitted', 'hookSaving', 'hookSaved', 'hookDeleting', 'hookDeleted', 'hookChanged', 'dataSubmitted', 'dataForming', 'dataAdding', 'dataEditing', 'canAdd', 'canEdit', 'canDelete', 'canSort', 'canCopy', 'formClass', 'treeMaxLevel', 'treeRootPid', 'formUrl', 'ajax', 'formAttr'); private $engine = 'basic'; private $mode = 'form'; private $title; private $showSubmit = true; private $showReset = true; private $itemId = null; private $item; private $hookSubmitted; private $hookSaving; private $hookSaved; private $hookDeleting; private $hookDeleted; private $hookChanged; private $dataSubmitted; private $dataForming; private $dataAdding; private $dataEditing; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canSort = false; private $canCopy = false; private $formClass = ''; private $treeMaxLevel = 99; private $treeRootPid = 0; private $formUrl = null; private $ajax = true; private $formAttr = ''; public function __construct($rWZs5, \Closure $zS1Ue = null) { goto xGqqK; NFpLZ: $this->setupFields(); goto NvLRz; xGqqK: $this->id = IdUtil::generate('Grid'); goto UD28y; IKsM8: $this->setupRepositoryFilter(); goto l5zqS; NvLRz: $this->fieldDefaultRenderMode(FieldRenderMode::FORM); goto IKsM8; UD28y: $this->repository = Repository::instance($rWZs5); goto NFpLZ; l5zqS: $this->builder($zS1Ue); goto Vd5Ku; Vd5Ku: } public static function make($iOYun = null, \Closure $zS1Ue = null) { if (class_exists($iOYun) && is_subclass_of($iOYun, Model::class)) { return new Form($iOYun, $zS1Ue); } return new Form(DynamicModel::make($iOYun), $zS1Ue); } public function asTree($o_F84 = 'id', $bOC2a = 'pid', $FX8uW = 'sort', $BbVzc = 'title') { goto Iv3sX; KzROA: $this->engine = FormEngine::TREE; goto eAaYd; dRWjp: return $this; goto IBSad; Iv3sX: $this->repository->setKeyName($o_F84); goto Qni5c; Qni5c: $this->repository->setTreePidColumn($bOC2a); goto xF572; lx2sl: $this->repository->setTreeTitleColumn($BbVzc); goto KzROA; xF572: $this->repository->setSortColumn($FX8uW); goto lx2sl; eAaYd: $this->canSort(true); goto dRWjp; IBSad: } public function asTreeMass($vflcr = 0, $o_F84 = 'id', $bOC2a = 'pid', $FX8uW = 'sort', $BbVzc = 'title') { goto tAh8R; MgHbq: return $this; goto dS8dI; fkwCZ: $this->engine = FormEngine::TREE_MASS; goto vs28x; Pl0Lo: $this->repository->setSortColumn($FX8uW); goto an1sj; vs28x: $this->canSort(true); goto MgHbq; tAh8R: $this->repository->setKeyName($o_F84); goto rftHM; rftHM: $this->repository->setTreePidColumn($bOC2a); goto Pl0Lo; an1sj: $this->repository->setTreeTitleColumn($BbVzc); goto fkwCZ; dS8dI: } private function build() { $this->runBuilder(); if ($this->engine == FormEngine::TREE) { if ($this->treeMaxLevel > 1) { $JyZ4J = FieldManager::make($this, 'select', $this->repository->getTreePidColumn(), L('Parent')); $JyZ4J->optionRepositoryTreeItems($this->repository, $this->treeMaxLevel); } else { $JyZ4J = FieldManager::make($this, 'hidden', $this->repository->getTreePidColumn(), L('Parent')); $JyZ4J->value(0); } $this->prependField($JyZ4J); } else { if ($this->engine == FormEngine::TREE_MASS) { goto umbD_; pcVCc: $JyZ4J->addable(true)->editable(true)->listable(false); goto doSqv; doSqv: $JyZ4J->hookRendering(function (AbstractField $JyZ4J, $vxizS, $vfXQS) { if (empty($vxizS)) { $FLB43 = InputPackage::buildFromInput()->get('_pid', $this->treeRootPid); } else { $FLB43 = $vxizS->{$this->repository->getTreePidColumn()}; } $this->repository()->setArgument('treePid', $FLB43); $TOsTS = $this->repository->getTreeAncestorItems(); $fvTxj = array(); $fvTxj[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . L('Root'); foreach ($TOsTS as $AlXKq) { $fvTxj[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . htmlspecialchars($AlXKq->{$this->repository->getTreeTitleColumn()}); } $fvTxj[] = '<input type="hidden" name="' . $this->repository->getTreePidColumn() . '" value="' . htmlspecialchars($FLB43) . '" />'; return AutoRenderedFieldValue::make(join('', $fvTxj)); }); goto yDPBX; umbD_: $JyZ4J = FieldManager::make($this, 'display', $this->repository->getTreePidColumn(), L('Parent')); goto pcVCc; yDPBX: $this->prependField($JyZ4J); goto ihiUq; ihiUq: } } } public function repository() { return $this->repository; } private function fieldValidateMessages($c7hfG, $dIKsd) { goto BJ_9E; ySgxP: if (empty($XMh3P)) { return false; } goto vaF6L; oT43J: foreach ($c7hfG as $JyZ4J) { if (!($dTGtd = $JyZ4J->getValidator($dIKsd))) { continue; } if ($dTGtd instanceof Validator && !$dTGtd->passes()) { $vRlKH[] = $dTGtd; } } goto Cllvh; BJ_9E: $vRlKH = array(); goto oT43J; Cllvh: $XMh3P = array(); goto S1oeM; S1oeM: foreach ($vRlKH as $dTGtd) { foreach ($dTGtd->messages()->getMessages() as $LqYqv => $l3798) { $XMh3P[$LqYqv] = $l3798; } } goto ySgxP; vaF6L: return $XMh3P; goto SUBvs; SUBvs: } private function validateFields($c7hfG, $U27Io) { goto KASvT; mmHDk: if ($t0H7o = $this->fieldValidateMessages($c7hfG, $U27Io)) { $iJY6p = array_merge($iJY6p, $t0H7o); } goto vq6bG; teDU0: return Response::generateSuccess(); goto iwQhQ; KASvT: $iJY6p = array(); goto mmHDk; vq6bG: foreach ($iJY6p as $LqYqv => $XMh3P) { foreach ($XMh3P as $dQXB1) { return Response::generateError($dQXB1); } } goto teDU0; iwQhQ: } private function removeReservedFields() { goto Xmq1L; Xmq1L: $FK9hD = array($this->repository->getKeyName(), $this->repository->getCreatedAtColumn(), $this->repository->getUpdatedAtColumn()); goto GSwyB; RrwPN: $this->fields = $this->fields()->reject($LlTtJ); goto YHDnV; GSwyB: $LlTtJ = function (AbstractField $JyZ4J) use(&$FK9hD) { return in_array($JyZ4J->column(), $FK9hD, true) && $JyZ4J instanceof \ModStart\Field\Display; }; goto RrwPN; YHDnV: } public function hookCall($Ggp1r) { if ($Ggp1r instanceof Closure) { $O5rRq = call_user_func($Ggp1r, $this); if (null !== $O5rRq) { return $O5rRq; } } return Response::generateSuccess(); } public function isModeForm() { return $this->mode === FormMode::FORM; } public function isModeAdd() { return $this->mode === FormMode::ADD; } public function isModeEdit() { return $this->mode === FormMode::EDIT; } public function isModeDelete() { return $this->mode === FormMode::DELETE; } public function formRequest($Ggp1r, array $U27Io = null) { goto h164u; k_g0C: $this->dataSubmitted = $U27Io ? $U27Io : Input::all(); goto R2TVH; R2TVH: try { goto ffFEx; XJXRf: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto ngNBK; g91V0: ResultException::throwsIfFail($this->hookCall($this->hookSaving)); goto X3599; ngNBK: return Response::jsonSuccess(L('Save Success')); goto xBH_D; GIa9U: $this->dataForming = array(); goto wc2BU; X3599: $O5rRq = call_user_func($Ggp1r, $this); goto uFEJN; GRpRM: ResultException::throwsIfFail($this->hookCall($this->hookSaved)); goto H5AcH; MrRyS: foreach ($this->addableFields() as $JyZ4J) { goto oJdvi; Eh_fR: $Arjw4 = $JyZ4J->serializeValue($Arjw4, $JyZ4J); goto MkZi7; HMxN2: $Arjw4 = isset($this->dataSubmitted[$JyZ4J->column()]) ? $this->dataSubmitted[$JyZ4J->column()] : null; goto PKtRC; oJdvi: if ($JyZ4J->isLayoutField()) { continue; } goto HMxN2; Xit5P: $this->dataForming[$JyZ4J->column()] = $Arjw4; goto uAUqa; MkZi7: if ($JyZ4J->hookValueSerialize()) { $Arjw4 = call_user_func($JyZ4J->hookValueSerialize(), $Arjw4, $JyZ4J); } goto Xit5P; PKtRC: $Arjw4 = $JyZ4J->prepareInput($Arjw4, $this->dataSubmitted); goto Eh_fR; uAUqa: } goto g91V0; ffFEx: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto afcUl; uFEJN: if (null !== $O5rRq) { if (Response::isError($O5rRq)) { return Response::jsonFromGenerate($O5rRq); } } goto GRpRM; H5AcH: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto ugf2e; wc2BU: $this->removeReservedFields(); goto MrRyS; ugf2e: if (null !== $O5rRq) { return Response::jsonFromGenerate($O5rRq); } goto XJXRf; afcUl: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto GIa9U; xBH_D: } catch (BizException $twNcf) { return Response::jsonError($twNcf->getMessage()); } catch (ResultException $twNcf) { return Response::jsonError($twNcf->getMessage()); } goto Nz8ZA; RNekW: $this->build(); goto k_g0C; h164u: $this->mode(FormMode::FORM); goto RNekW; Nz8ZA: } public function add() { goto IMOop; M3NoG: if ($F7482) { $this->fillFields(); } goto u1MCL; Z1icI: if ($this->canCopy()) { $Q5EzU = CRUDUtil::copyId(); if ($Q5EzU) { goto r5U6T; r5U6T: $this->itemId($Q5EzU); goto yJvrp; ZX3IY: $F7482 = true; goto YGc5v; Fa3Vi: $this->itemId(0); goto ZX3IY; yJvrp: $this->item($this->repository()->editing($this)); goto Fa3Vi; YGc5v: } } goto y1d39; IMOop: $this->mode(FormMode::ADD); goto WB6fJ; y1d39: $this->build(); goto M3NoG; u1MCL: return $this; goto ifstR; WB6fJ: $F7482 = false; goto Z1icI; ifstR: } public function addRequest(array $U27Io = null) { goto gaAXe; vpjSm: $this->mode(FormMode::ADD); goto S1PTv; S1PTv: $this->build(); goto N88vr; N88vr: $this->dataSubmitted = $U27Io ? $U27Io : Input::all(); goto QHCJD; gaAXe: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto vpjSm; QHCJD: try { goto I0_oZ; MbpuE: return Response::jsonSuccess(L('Add Success')); goto bVzXW; I0_oZ: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto w1pCi; RF1_0: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto MbpuE; cQgPg: $this->removeReservedFields(); goto TLPLr; TLPLr: foreach ($this->addableFields() as $JyZ4J) { goto NVmOA; wkkID: if ($JyZ4J->hookValueSerialize()) { $Arjw4 = call_user_func($JyZ4J->hookValueSerialize(), $Arjw4, $JyZ4J); } goto y9EKU; iFx5C: $Arjw4 = $JyZ4J->serializeValue($Arjw4, $JyZ4J); goto wkkID; NVmOA: if ($JyZ4J->isLayoutField() || $JyZ4J->isCustomField()) { continue; } goto q2QTD; y9EKU: $this->dataAdding[$JyZ4J->column()] = $Arjw4; goto U5egN; q2QTD: $Arjw4 = isset($this->dataSubmitted[$JyZ4J->column()]) ? $this->dataSubmitted[$JyZ4J->column()] : null; goto hVz8K; hVz8K: $Arjw4 = $JyZ4J->prepareInput($Arjw4, $this->dataSubmitted); goto iFx5C; U5egN: } goto B88N1; w1pCi: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto cDoQg; B88N1: $LzHVe = $this->repository->add($this); goto RF1_0; cDoQg: $this->dataAdding = array(); goto cQgPg; bVzXW: } catch (BizException $twNcf) { return Response::jsonError($twNcf->getMessage()); } catch (ResultException $twNcf) { return Response::jsonError($twNcf->getMessage()); } goto Ba8Lt; Ba8Lt: } public function edit($LzHVe) { try { goto LDhYt; aSG4A: $this->item($this->repository()->editing($this)); goto MY9_l; LDhYt: $this->mode(FormMode::EDIT); goto kiNNO; i38mJ: $this->fillFields(); goto VvfF4; kiNNO: $this->itemId($LzHVe); goto aSG4A; MY9_l: BizException::throwsIfEmpty(L('Record Not Exists'), $this->item); goto zsqn5; zsqn5: $this->build(); goto i38mJ; VvfF4: return $this; goto dGtrM; dGtrM: } catch (BizException $twNcf) { return Response::sendError($twNcf->getMessage()); } } public function editRequest($LzHVe, array $U27Io = null) { goto YrEnn; YrEnn: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto jfmwp; jfmwp: $this->dataSubmitted = $U27Io ? $U27Io : Input::all(); goto AVEpP; AVEpP: try { goto g21PG; sxwL5: $this->dataEditing = array(); goto gug5n; dXZHg: return Response::jsonSuccess(L('Edit Success')); goto IW6Dl; o_Etp: $this->repository()->edit($this); goto Tp6u8; V_Dd9: ResultException::throwsIfFail($this->validateFields($this->editableFields(), $this->dataSubmitted)); goto x2uYl; v2P9L: $sNhdi = isset($this->dataSubmitted['_action']) ? $this->dataSubmitted['_action'] : null; goto u7nzL; u7nzL: if ('itemCellEdit' == $sNhdi) { goto EbAxY; DZUOB: if ($LqYqv) { foreach ($this->editableFields() as $JyZ4J) { if ($JyZ4J->isLayoutField() || $JyZ4J->isCustomField()) { continue; } if ($JyZ4J->column() == $LqYqv) { $this->dataEditing[$JyZ4J->column()] = $Arjw4; break; } } } goto a6MCQ; x6YIi: $Arjw4 = isset($this->dataSubmitted['value']) ? $this->dataSubmitted['value'] : null; goto DZUOB; EbAxY: $LqYqv = isset($this->dataSubmitted['column']) ? $this->dataSubmitted['column'] : null; goto x6YIi; a6MCQ: BizException::throwsIfEmpty('Data Error', $this->dataEditing); goto TzXfN; TzXfN: } else { foreach ($this->editableFields() as $JyZ4J) { goto j0jZR; qQ9pm: if ($JyZ4J->hookValueSerialize()) { $Arjw4 = call_user_func($JyZ4J->hookValueSerialize(), $Arjw4, $JyZ4J); } goto VQgcw; URJNB: $Arjw4 = isset($this->dataSubmitted[$JyZ4J->column()]) ? $this->dataSubmitted[$JyZ4J->column()] : null; goto ERedf; XP92K: $Arjw4 = $JyZ4J->serializeValue($Arjw4, $JyZ4J); goto qQ9pm; VQgcw: $this->dataEditing[$JyZ4J->column()] = $Arjw4; goto N1DwC; j0jZR: if ($JyZ4J->isLayoutField() || $JyZ4J->isCustomField()) { continue; } goto URJNB; ERedf: $Arjw4 = $JyZ4J->prepareInput($Arjw4, $this->dataSubmitted); goto XP92K; N1DwC: } } goto o_Etp; g21PG: $this->edit($LzHVe); goto V_Dd9; Tp6u8: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto dXZHg; gug5n: $this->removeReservedFields(); goto v2P9L; x2uYl: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto sxwL5; IW6Dl: } catch (BizException $twNcf) { return Response::jsonError($twNcf->getMessage()); } catch (ResultException $twNcf) { return Response::jsonError($twNcf->getMessage()); } goto K7tRg; K7tRg: } public function deleteRequest($sQnHs) { goto mF6dA; bn2ff: try { goto wgp4e; wgp4e: $U27Io = $this->repository->deleting($this); goto DvJBt; w6ryf: return Response::jsonSuccess(L('Delete Success')); goto so_nq; DvJBt: $this->item($U27Io); goto teGH3; H5Avt: $rHXfH = $this->repository->delete($this, $U27Io); goto w6ryf; teGH3: $this->itemId(collect($U27Io)->map(function ($lvkHx) { return $lvkHx->{$this->repository()->getKeyName()}; })->toArray()); goto H5Avt; so_nq: } catch (BizException $twNcf) { return Response::jsonError($twNcf->getMessage()); } catch (ResultException $twNcf) { return Response::jsonError($twNcf->getMessage()); } goto t5OS_; sD7rd: $this->build(); goto bn2ff; w5Z3f: $this->itemId($sQnHs); goto sD7rd; thsBs: $this->mode(FormMode::DELETE); goto w5Z3f; mF6dA: if (!$this->canDelete) { return Response::pagePermissionDenied(); } goto thsBs; t5OS_: } public function sortRequest($sQnHs) { goto adXpp; n3cxA: $this->mode(FormMode::SORT); goto bddfd; bddfd: $this->itemId($sQnHs); goto eeAyr; eeAyr: $dIKsd = InputPackage::buildFromInput(); goto nLlJi; ismdY: $this->build(); goto w1Yp_; nLlJi: $this->repository->setArgument('direction', $dIKsd->getType('direction', SortDirection::class)); goto ismdY; w1Yp_: try { goto mz9rf; mz9rf: $rHXfH = $this->repository->sortEdit($this); goto Ber1u; xR6G_: return Response::jsonSuccess(L('Operate Success')); goto TiSCQ; Ber1u: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto xR6G_; TiSCQ: } catch (BizException $twNcf) { return Response::jsonError($twNcf->getMessage()); } catch (ResultException $twNcf) { return Response::jsonError($twNcf->getMessage()); } goto Co0bT; adXpp: if (!$this->canSort) { return Response::pagePermissionDenied(); } goto n3cxA; Co0bT: } public function render() { goto HfCxb; r6cxt: return view($this->view, $U27Io)->render(); goto HFST1; E_Gl0: switch ($this->mode) { case FormMode::FORM: $U27Io['fields'] = $this->addableFields(); break; case FormMode::ADD: goto UH3us; srqrv: $U27Io['fields'] = $this->addableFields(); goto J6iuu; UH3us: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto srqrv; J6iuu: break; goto YkO2V; YkO2V: case FormMode::EDIT: goto M0_59; M0_59: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto Fuhc5; Fuhc5: $U27Io['fields'] = $this->editableFields(); goto epmms; epmms: break; goto OtKEb; OtKEb: default: return Response::sendError('Form.render mode error : ' . $this->mode); } goto Xe7Nn; Xe7Nn: $U27Io = array_merge($this->fluentAttributeVariables(), $U27Io); goto r6cxt; HfCxb: $U27Io = array(); goto E_Gl0; HFST1: } public function __call($dZZhs, $wo6gE) { goto AuJdl; vaiey: return FieldManager::call($this, $dZZhs, $wo6gE); goto RITxx; AuJdl: switch ($dZZhs) { case 'enablePagination': case 'defaultOrder': case 'canShow': case 'canExport': case 'canImport': case 'canBatchDelete': case 'canMultiSelectItem': case 'addBlankPage': case 'editBlankPage': case 'disableCUD': case 'hookItemOperateRendering': case 'addDialogSize': case 'editDialogSize': case 'dialogSizeSmall': case 'gridFilter': case 'gridOperateAppend': case 'bodyAppend': case 'operateFixed': case 'defaultPageSize': case 'pageSizes': case 'canBatchSelect': case 'batchOperatePrepend': case 'gridToolbar': case 'textEdit': return $this; } goto oJc_C; oJc_C: if ($this->isFluentAttribute($dZZhs)) { return $this->fluentAttribute($dZZhs, $wo6gE); } goto vaiey; RITxx: } }