<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Grid; use Closure; use Illuminate\Support\Facades\Input; use Illuminate\Support\Facades\View; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Dao\ModelUtil; use ModStart\Core\Exception\BizException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Util\IdUtil; use ModStart\Core\Util\RenderUtil; use ModStart\Core\Util\TreeUtil; use ModStart\Detail\Detail; use ModStart\Field\AbstractField; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Form; use ModStart\Grid\Concerns\HasGridFilter; use ModStart\Grid\Concerns\HasItemOperate; use ModStart\Grid\Concerns\HasPaginator; use ModStart\Grid\Concerns\HasSort; use ModStart\Grid\Type\GridEngine; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; class Grid { use HasBuilder, HasFields, HasFluentAttribute, HasGridFilter, HasItemOperate, HasPaginator, HasSort, HasScopeFilter, HasRepositoryFilter; private $id; private $model; protected $fluentAttributes = array('view', 'engine', 'title', 'titleAdd', 'titleEdit', 'titleShow', 'titleImport', 'canAdd', 'canEdit', 'canDelete', 'canShow', 'canExport', 'canImport', 'canCopy', 'canMultiSelectItem', 'canSingleSelectItem', 'canBatchDelete', 'canBatchSelect', 'canSort', 'urlAdd', 'urlEdit', 'textEdit', 'urlDelete', 'urlShow', 'urlExport', 'urlImport', 'urlSort', 'addDialogSize', 'editDialogSize', 'showDialogSize', 'importDialogSize', 'addBlankPage', 'editBlankPage', 'enablePagination', 'defaultOrder', 'treeMaxLevel', 'treeRootPid', 'batchOperatePrepend', 'gridOperateAppend', 'hookPrepareItems', 'gridRowCols', 'defaultPageSize', 'pageSizes', 'gridToolbar'); private $engine = 'basic'; private $title; private $titleAdd; private $titleEdit; private $titleShow; private $titleImport; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canShow = true; private $canExport = false; private $canImport = false; private $canCopy = false; private $canMultiSelectItem = false; private $canSingleSelectItem = false; private $canBatchDelete = false; private $canBatchSelect = false; private $canSort = false; private $urlAdd; private $urlEdit; private $textEdit; private $urlDelete; private $urlShow; private $urlExport; private $urlImport; private $urlSort; private $addDialogSize = array('95%', '95%'); private $editDialogSize = array('95%', '95%'); private $showDialogSize = array('95%', '95%'); private $importDialogSize = array('95%', '95%'); private $addBlankPage = false; private $editBlankPage = false; private $enablePagination = true; private $defaultOrder = array(); private $treeMaxLevel = 0; private $treeRootPid = 0; private $batchOperatePrepend = ''; private $gridOperateAppend = ''; private $gridRowCols = null; private $defaultPageSize = 10; private $pageSizes = array(10, 50, 100); private $gridToolbar = array(); private $hookPrepareItems = null; private $gridTableTops = array(); private $gridRequestScript = null; private $gridBeforeRequestScript = null; private $isBuilt = false; private $isDynamicModel = false; private $dynamicModelTableName; private $view = 'modstart::core.grid.index'; private $bodyAppend = ''; public function __construct($rWZs5 = null, \Closure $zS1Ue = null) { goto sYmZj; smlRQ: $this->setupItemOperate(); goto o501z; kuXlh: $this->setupFields(); goto B79u7; z24ZH: $this->setupRepositoryFilter(); goto vpxyu; sYmZj: $this->id = IdUtil::generate('Grid'); goto BASTW; vpxyu: $this->setupGridFilter(); goto smlRQ; B79u7: $this->fieldDefaultRenderMode(FieldRenderMode::GRID); goto z24ZH; BASTW: $this->model = new Model($this, $rWZs5); goto kuXlh; o501z: $this->builder($zS1Ue); goto znbpS; znbpS: } public static function make($iOYun, \Closure $zS1Ue = null) { goto uUJM7; g_dJ3: return $TbM0Z; goto tsbAI; kxI0T: $TbM0Z->isDynamicModel = true; goto HjN7X; HjN7X: $TbM0Z->dynamicModelTableName = $iOYun; goto g_dJ3; mxwYu: $TbM0Z = new Grid(DynamicModel::make($iOYun), $zS1Ue); goto kxI0T; uUJM7: if (class_exists($iOYun)) { if (is_subclass_of($iOYun, \Illuminate\Database\Eloquent\Model::class) || is_subclass_of($iOYun, Repository::class)) { return new Grid($iOYun, $zS1Ue); } } goto mxwYu; tsbAI: } public function useSimple($oxJ1k) { goto QyQwi; e30GC: $this->disableItemOperate(); goto lzDj1; QyQwi: $this->view = 'modstart::core.grid.simple'; goto e30GC; lzDj1: $this->display('html', 'html')->hookRendering($oxJ1k); goto aRulG; aRulG: return $this; goto Vj4Ut; Vj4Ut: } public function asTree($o_F84 = 'id', $bOC2a = 'pid', $FX8uW = 'sort', $BbVzc = 'title') { goto uq4ea; kLPOT: $this->enablePagination(false); goto CvDHp; kMKsz: $this->repository()->setTreeTitleColumn($BbVzc); goto t1dlH; uq4ea: $this->repository()->setKeyName($o_F84); goto O3tpX; t1dlH: $this->engine = GridEngine::TREE; goto kLPOT; CvDHp: $this->canSort(true); goto G0o0l; O3tpX: $this->repository()->setTreePidColumn($bOC2a); goto PK0gh; G0o0l: return $this; goto iFd1A; PK0gh: $this->repository()->setSortColumn($FX8uW); goto kMKsz; iFd1A: } public function asTreeMass($vflcr = 0, $o_F84 = 'id', $bOC2a = 'pid', $FX8uW = 'sort', $BbVzc = 'title') { goto aEve9; wPrAr: return $this; goto xdFgc; dajFq: $this->repository()->setTreePidColumn($bOC2a); goto IuXCZ; aEve9: $this->repository()->setKeyName($o_F84); goto dajFq; xUDfl: $this->engine = GridEngine::TREE_MASS; goto kEv9D; JtePt: $this->canSort(true); goto wPrAr; kEv9D: $this->enablePagination(false); goto JtePt; iLy_M: $this->repository()->setTreeTitleColumn($BbVzc); goto xUDfl; IuXCZ: $this->repository()->setSortColumn($FX8uW); goto iLy_M; xdFgc: } public function canBatchDelete($Arjw4 = null) { goto sh6i1; sh6i1: if (null === $Arjw4) { return $this->canBatchDelete; } goto Iz2YK; Iz2YK: $this->canBatchDelete = true; goto R4k8i; eQjKU: return $this; goto vWlLw; R4k8i: $this->canMultiSelectItem(true); goto eQjKU; vWlLw: } public function canBatchSelect($Arjw4 = null) { goto qbS_o; hAfzG: $this->canBatchSelect = true; goto MTIJo; E5MD0: return $this; goto uPiJD; qbS_o: if (null === $Arjw4) { return $this->canBatchSelect; } goto hAfzG; MTIJo: $this->canMultiSelectItem(true); goto E5MD0; uPiJD: } public function disableCUD() { $this->canAdd(false)->canEdit(false)->canDelete(false); return $this; } public function dialogSizeSmall() { return $this->addDialogSize(array('600px', '90%'))->editDialogSize(array('600px', '90%'))->showDialogSize(array('600px', '90%')); } public function repository() { return $this->model->repository(); } public function getRepositoryKeyName() { return $this->model->repository()->getKeyName(); } public function gridFilter(Closure $Ggp1r) { call_user_func($Ggp1r, $this->gridFilter); return $this; } public function gridRequestScript($swnO3) { $this->gridRequestScript = $swnO3; return $this; } public function gridBeforeRequestScriptView($sI4_S) { return $this->gridBeforeRequestScript(RenderUtil::viewScript($sI4_S)); } public function gridBeforeRequestScript($fJgcy) { $this->gridBeforeRequestScript = $fJgcy; return $this; } public function gridTableTopView($sI4_S) { return $this->gridTableTop(View::make($sI4_S, array())->render()); } public function gridTableTop($UDAFT) { goto V2WYL; ZK2KF: return $this; goto UCpNi; H9Qvj: $this->gridTableTops[] = $UDAFT; goto ZK2KF; V2WYL: if ($UDAFT instanceof Closure) { $UDAFT = call_user_func($UDAFT, $this); } goto H9Qvj; UCpNi: } public function bodyAppend($UDAFT) { $this->bodyAppend = $UDAFT; return $this; } public function build() { if (!$this->isBuilt) { goto U6Wop; EiQso: $this->prepareItemOperateField(); goto nz6bU; U6Wop: $this->runBuilder(); goto EiQso; nz6bU: $this->isBuilt = true; goto XHRPW; XHRPW: } } public function executeQuery() { goto iNVQn; BmN65: $this->repository()->setArgument(array('page' => $dIKsd->getPage(), 'pageSize' => $dIKsd->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $dIKsd->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto tjVeC; tjVeC: $this->gridFilter->setSearch($dIKsd->getArray('search')); goto SP2LP; SP2LP: return $this->gridFilter->executeQuery(); goto JBfxI; iNVQn: $this->build(); goto k72_c; k72_c: $dIKsd = InputPackage::buildFromInput(); goto BmN65; JBfxI: } public function request() { goto U0oq_; DetzG: $M2cA7 = array(); goto wHC2_; nn29M: if (!is_null($this->gridRequestScript)) { $fJgcy = call_user_func($this->gridRequestScript, $this); } goto uIdYA; jojJ8: $mq00q = array(); goto dJeN3; dJeN3: if ($this->engine === GridEngine::TREE_MASS) { goto rjMOD; gb3C6: $this->repository()->setArgument(array('treeRootPid' => $this->treeRootPid, 'treePid' => $FLB43)); goto kxK_Q; RzUj_: $b1D6a = view('modstart::core.grid.treeAncestor', array('treeAncestors' => $mq00q, 'grid' => $this))->render(); goto ubg8O; rjMOD: $FLB43 = $dIKsd->get('_pid', $this->treeRootPid); goto gb3C6; kxK_Q: if ($FLB43 != $this->treeRootPid) { $mq00q = $this->repository()->getTreeAncestorItems(); } goto RzUj_; ubg8O: } goto XiQls; kf8ui: foreach ($HNPSH as $vfXQS => $vxizS) { goto AaKYW; jxon1: $Hv4mf['_id'] = '' . $vxizS->{$this->repository()->getKeyName()}; goto EqznS; cJN46: if ($vxizS instanceof \Illuminate\Database\Eloquent\Model) { $o3CKG = array_keys($vxizS->getAttributes()); } else { if ($vxizS instanceof \stdClass) { $o3CKG = array_keys(get_object_vars($vxizS)); } else { BizException::throws('Grid item support Model|stdClass only'); } } goto RkbTk; WLqSC: $s1ywp[] = $Hv4mf; goto AYZec; EqznS: foreach ($this->listableFields() as $JyZ4J) { goto ZWUl8; ZWUl8: if ($JyZ4J->isLayoutField()) { continue; } goto XbSye; NlwVa: if ($this->engine == GridEngine::TREE && $JyZ4J->column() == $this->repository()->getTreeTitleColumn()) { $Td_ck = str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;', $vxizS->_level - 1) . '<a class="tree-arrow-icon ub-text-muted" href="javascript:;"><i class="icon iconfont icon-angle-right"></i></a> '; $Hv4mf[$JyZ4J->column()] = $Td_ck . $Hv4mf[$JyZ4J->column()]; } else { if ($this->engine == GridEngine::TREE_MASS && $JyZ4J->column() == $this->repository()->getTreeTitleColumn()) { if (count($mq00q) < $this->treeMaxLevel() - 1) { $Hv4mf[$JyZ4J->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . '<a class="ub-text-primary" href="?_pid=' . $Hv4mf['_id'] . '" title="' . L('Manage') . '"><i class="icon iconfont icon-sign"></i> ' . htmlspecialchars($Hv4mf[$JyZ4J->column()]) . '</a>'; } else { $Hv4mf[$JyZ4J->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . $Hv4mf[$JyZ4J->column()]; } } } goto jz0yf; Iy2gk: $JyZ4J->item($vxizS); goto I3Cet; K46Rd: $JyZ4J->setValue($Arjw4); goto Iy2gk; I3Cet: $Hv4mf[$JyZ4J->column()] = $JyZ4J->renderView($JyZ4J, $vxizS, $vfXQS); goto NlwVa; rgUat: if (in_array($JyZ4J->column(), $o3CKG) || $vxizS instanceof \Illuminate\Database\Eloquent\Model && method_exists($vxizS, $JyZ4J->column())) { goto kEFS7; vx9rP: $vxizS->{$JyZ4J->column()} = $Arjw4; goto Qf8NF; VUGy6: if ($JyZ4J->hookValueUnserialize()) { $Arjw4 = call_user_func($JyZ4J->hookValueUnserialize(), $Arjw4, $JyZ4J); } goto QPgZ6; IUk_i: $JyZ4J->item($vxizS); goto VUGy6; aTDhf: $Arjw4 = $JyZ4J->unserializeValue($Arjw4, $JyZ4J); goto bDIVK; QPgZ6: $JyZ4J->item($vxizS); goto aTDhf; kEFS7: $Arjw4 = $vxizS->{$JyZ4J->column()}; goto IUk_i; bDIVK: if ($JyZ4J->hookFormatValue()) { $Arjw4 = call_user_func($JyZ4J->hookFormatValue(), $Arjw4, $JyZ4J); } goto vx9rP; Qf8NF: } else { goto KaMY0; neE5w: if (str_contains($JyZ4J->column(), '.')) { $Arjw4 = ModelUtil::traverse($vxizS, $JyZ4J->column()); } goto Nb6Hf; Nb6Hf: if ($JyZ4J->hookValueUnserialize()) { $Arjw4 = call_user_func($JyZ4J->hookValueUnserialize(), $Arjw4, $JyZ4J); } goto NT0_z; QAzJ2: if ($JyZ4J->hookFormatValue()) { $Arjw4 = call_user_func($JyZ4J->hookFormatValue(), $Arjw4, $JyZ4J); } goto g5_GX; NT0_z: $Arjw4 = $JyZ4J->unserializeValue($Arjw4, $JyZ4J); goto QAzJ2; KaMY0: $JyZ4J->item($vxizS); goto neE5w; g5_GX: } goto K46Rd; XbSye: $Arjw4 = null; goto rgUat; jz0yf: } goto WLqSC; AaKYW: $o3CKG = array(); goto cJN46; RkbTk: $Hv4mf = array(); goto jxon1; AYZec: } goto DetzG; XiQls: $this->gridFilter->setSearch($dIKsd->getArray('search')); goto jx1d7; oCNXv: $this->build(); goto EZaDL; wHC2_: foreach ($this->listableFields() as $JyZ4J) { goto Fuvkf; yErhP: if ($JyZ4J->width() !== '') { $Hv4mf['width'] = $JyZ4J->width(); } else { $Hv4mf['withAuto'] = true; } goto Osi6F; Fuvkf: if ($JyZ4J->isLayoutField()) { continue; } goto GU8WQ; Osi6F: if ($JyZ4J->gridFixed()) { $Hv4mf['fixed'] = $JyZ4J->gridFixed(); } goto yG5lz; yG5lz: $M2cA7[] = $Hv4mf; goto Ped54; GU8WQ: $Hv4mf = array('field' => $JyZ4J->column(), 'title' => $JyZ4J->label(), 'sort' => $JyZ4J->sortable()); goto yErhP; Ped54: } goto zAGTo; yYVP2: $s1ywp = array(); goto kf8ui; zAGTo: $fJgcy = null; goto nn29M; qFOpu: if ($this->engine == GridEngine::TREE) { goto TBiEr; TdyUA: $hZGTu = $this->repository()->getTreePidColumn(); goto Oa3DO; peY5z: $HNPSH = TreeUtil::itemsMergeLevel($HNPSH, $kILMx, $hZGTu, $vypCx); goto nQiDc; Oa3DO: $vypCx = $this->repository()->getTreeSortColumn(); goto peY5z; TBiEr: $kILMx = $this->repository()->getKeyName(); goto TdyUA; nQiDc: } goto b4SWN; U0oq_: $b1D6a = null; goto oCNXv; Olt8G: $this->repository()->setArgument(array('page' => $dIKsd->getPage(), 'pageSize' => $dIKsd->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $dIKsd->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto jojJ8; uIdYA: return Response::jsonSuccessData(array('head' => $M2cA7, 'page' => $WBXF_ ? $WBXF_->currentPage() : 1, 'pageSize' => $WBXF_ ? $WBXF_->perPage() : count($s1ywp), 'total' => $WBXF_ ? $WBXF_->total() : count($s1ywp), 'records' => $s1ywp, 'addition' => $b1D6a, 'script' => $fJgcy)); goto rUekk; b4SWN: $WBXF_ = $this->model->paginator(); goto lVMQc; jx1d7: $HNPSH = $this->gridFilter->execute(); goto qFOpu; lVMQc: if ($this->hookPrepareItems) { $HNPSH = call_user_func($this->hookPrepareItems, $this, $HNPSH); } goto yYVP2; EZaDL: $dIKsd = InputPackage::buildFromInput(); goto Olt8G; rUekk: } public function render() { goto nalEZ; lUS5M: return view($this->view, $U27Io)->render(); goto AEfp9; nalEZ: $this->build(); goto b9xut; b9xut: $U27Io = array_merge($this->fluentAttributeVariables(), array('id' => $this->id, 'filters' => $this->gridFilter->filters(), 'hasAutoHideFilters' => $this->gridFilter->hasAutoHideFilters(), 'grid' => $this, 'scopes' => $this->scopeFilters, 'gridTableTops' => $this->gridTableTops, 'gridBeforeRequestScript' => $this->gridBeforeRequestScript, 'scopeCurrent' => Input::get('_scope', $this->scopeDefault), 'bodyAppend' => $this->bodyAppend)); goto lUS5M; AEfp9: } public function __toString() { try { return $this->render(); } catch (\Exception $twNcf) { return $twNcf->getMessage(); } } public function isDynamicModel() { return $this->isDynamicModel; } public function getDynamicModelTableName() { return $this->dynamicModelTableName; } public function __call($dZZhs, $wo6gE) { goto n03Zr; T4Uk0: return FieldManager::call($this, $dZZhs, $wo6gE); goto jLQ1K; XfQyT: if ($this->isFluentAttribute($dZZhs)) { return $this->fluentAttribute($dZZhs, $wo6gE); } goto T4Uk0; n03Zr: switch ($dZZhs) { case 'hookSaved': case 'hookDeleting': case 'hookChanged': case 'hookDeleted': case 'hookSaving': case 'formClass': case 'gridFilter': return $this; } goto XfQyT; jLQ1K: } }